# Uses of Interface
com.destroystokyo.paper.Namespaced

Packages that use Namespaced
Package
Description
com.destroystokyo.paper
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of Namespaced in com.destroystokyo.paper

Classes in com.destroystokyo.paper that implement Namespaced
Modifier and Type
Class
Description
`final class`
`NamespacedTag`
Represents a String based key pertaining to a tagged entry.

## Uses of Namespaced in org.bukkit

Classes in org.bukkit that implement Namespaced
Modifier and Type
Class
Description
`final class`
`NamespacedKey`
Represents a String based key which consists of two components - a namespace and a key.

## Uses of Namespaced in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return types with arguments of type Namespaced
Modifier and Type
Method
Description
`@NotNull Set<Namespaced>`
ItemMeta.`getDestroyableKeys()`
Gets the collection of namespaced keys that the item can destroy in `GameMode.ADVENTURE`
`@NotNull Set<Namespaced>`
ItemMeta.`getPlaceableKeys()`
Gets the collection of namespaced keys that the item can be placed on in `GameMode.ADVENTURE`
Method parameters in org.bukkit.inventory.meta with type arguments of type Namespaced
Modifier and Type
Method
Description
`void`
ItemMeta.`setDestroyableKeys(@NotNull Collection<Namespaced> canDestroy)`
Sets the collection of namespaced keys that the item can destroy in `GameMode.ADVENTURE`
`void`
ItemMeta.`setPlaceableKeys(@NotNull Collection<Namespaced> canPlaceOn)`
Sets the set of namespaced keys that the item can be placed on in `GameMode.ADVENTURE`